Edit Paging Extension
curl --request PATCH \
--url https://api.voxo.co/v2/admin/extensions/paging/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": true,
"includeInDialByName": true,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/extensions/paging/{id}"
payload = {
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": True,
"includeInDialByName": True,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: 123,
name: '<string>',
emergencyLocationId: 123,
emergencyLocation: '<string>',
includeInPhonebook: true,
includeInDialByName: true,
dialTimeout: 37.5,
accountNumber: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/extensions/paging/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/extensions/paging/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => 123,
'name' => '<string>',
'emergencyLocationId' => 123,
'emergencyLocation' => '<string>',
'includeInPhonebook' => true,
'includeInDialByName' => true,
'dialTimeout' => 37.5,
'accountNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/extensions/paging/{id}"
payload := strings.NewReader("{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/extensions/paging/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/extensions/paging/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tenant": {
"id": 123,
"name": "<string>"
},
"name": "<string>",
"number": "<string>",
"email": "<string>",
"peerName": "<string>",
"callerIdNumber": "<string>",
"recording": "<string>",
"emergencyLocationId": 123,
"includeInPhonebook": "<string>",
"includeInDialByName": "<string>",
"dialTimeout": 123,
"callWaiting": "<string>",
"accountNumber": "<string>",
"emergencyLocationComment": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"devices": []
}Extensions
Edit Paging Extension
Update a paging extension (partial update)
PATCH
/
v2
/
admin
/
extensions
/
paging
/
{id}
Edit Paging Extension
curl --request PATCH \
--url https://api.voxo.co/v2/admin/extensions/paging/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": true,
"includeInDialByName": true,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/extensions/paging/{id}"
payload = {
"branchId": 123,
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"includeInPhonebook": True,
"includeInDialByName": True,
"dialTimeout": 37.5,
"accountNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: 123,
name: '<string>',
emergencyLocationId: 123,
emergencyLocation: '<string>',
includeInPhonebook: true,
includeInDialByName: true,
dialTimeout: 37.5,
accountNumber: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/extensions/paging/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/extensions/paging/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => 123,
'name' => '<string>',
'emergencyLocationId' => 123,
'emergencyLocation' => '<string>',
'includeInPhonebook' => true,
'includeInDialByName' => true,
'dialTimeout' => 37.5,
'accountNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/extensions/paging/{id}"
payload := strings.NewReader("{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/extensions/paging/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/extensions/paging/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": 123,\n \"name\": \"<string>\",\n \"emergencyLocationId\": 123,\n \"emergencyLocation\": \"<string>\",\n \"includeInPhonebook\": true,\n \"includeInDialByName\": true,\n \"dialTimeout\": 37.5,\n \"accountNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tenant": {
"id": 123,
"name": "<string>"
},
"name": "<string>",
"number": "<string>",
"email": "<string>",
"peerName": "<string>",
"callerIdNumber": "<string>",
"recording": "<string>",
"emergencyLocationId": 123,
"includeInPhonebook": "<string>",
"includeInDialByName": "<string>",
"dialTimeout": 123,
"callWaiting": "<string>",
"accountNumber": "<string>",
"emergencyLocationComment": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"devices": []
}Authorizations
Body
application/json
Response
200 - application/json
Updated paging extension
Was this page helpful?